Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.portal.cms.impl
Class FolderImpl

    java.lang.Object
      org.jboss.portal.cms.impl.CMSObjectImpl
          org.jboss.portal.cms.impl.FolderImpl

All Implemented Interfaces:
  java.io.Serializable, CMSObject, Folder

    public class FolderImpl

extends CMSObjectImpl
implements Folder, java.io.Serializable

See Also:
  Serialized Form

Field Summary
`protected java.util.List` | `files`
`protected java.util.List` | `folders`

Fields inherited from class org.jboss.portal.cms.impl.CMSObjectImpl
`basePath, baseUUID, creationDate, description, lastModified, name, parentUUID, title, versionPath, versionUUID`

Constructor Summary
`FolderImpl()`

Method Summary
`java.util.List` | `getFiles()`
`java.util.List` | `getFolders()`
`void` | `setFiles(java.util.List files)`
`void` | `setFolders(java.util.List folders)`

Methods inherited from class org.jboss.portal.cms.impl.CMSObjectImpl
`getBasePath, getBaseUUID, getCreationDate, getDescription, getLastModified, getName, getParentUUID, getTitle, getVersionPath, getVersionUUID, setBasePath, setBaseUUID, setCreationDate, setDescription, setLastModified, setName, setParentUUID, setTitle, setVersionPath, setVersionUUID`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.jboss.portal.cms.model.CMSObject
`getBasePath, getBaseUUID, getCreationDate, getDescription, getLastModified, getName, getParentUUID, getTitle, getVersionPath, getVersionUUID, setBasePath, setBaseUUID, setCreationDate, setDescription, setLastModified, setName, setParentUUID, setTitle, setVersionPath, setVersionUUID`

Field Detail

### folders

    protected java.util.List folders

### files

    protected java.util.List files

Constructor Detail

### FolderImpl

    public FolderImpl()

Method Detail

### getFolders

    public java.util.List getFolders()

  Specified by:
    `getFolders` in interface `Folder`

### setFolders

    public void setFolders(java.util.List folders)

  Specified by:
    `setFolders` in interface `Folder`

### getFiles

    public java.util.List getFiles()

  Specified by:
    `getFiles` in interface `Folder`

### setFiles

    public void setFiles(java.util.List files)

  Specified by:
    `setFiles` in interface `Folder`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008. All Rights Reserved.